Bug 200273 - Windows are allowed to stay on top of the panel
Windows are allowed to stay on top of the panel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 13:12 EDT by Bastien Nocera
Modified: 2008-05-06 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-07-26 13:12:13 EDT
compiz-0.0.13-5.1.fc5.gnome

1. Start up metacity
2. Launch an application on the second workspace, and maximise it
3. launch "compiz --replace"
4. The windows are unmaximised but of the same size on the first workspace
5. The windows are on top of the panel

The windows should not be allowed on top of the panel. It's not possible to move
those windows above the panel after they've been moved away from it.
Comment 1 Bastien Nocera 2006-07-31 17:24:04 EDT
Moving all the compiz bugs to rawhide
Comment 2 Saikat Guha 2006-10-15 06:17:59 EDT
Related to Bug 210800
Comment 3 Matěj Cepl 2007-09-11 20:34:21 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 5 Bastien Nocera 2007-10-12 08:16:21 EDT
The test case doesn't work anymore, as compiz uses the existing window state
correctly when restarted (see bug 200272).

I'm not certain the bug is actually fixed, but as there's no reproducer, closing.
Comment 6 Bastien Nocera 2007-10-12 08:34:50 EDT
Reopening. The test case is a bit longer now:
1. Start up metacity
2. Start a terminal, maximise it
3. Switch to compiz with the desktop effects applet
4. Unmaximise window

The window ends up on top of the panel.
Comment 7 Bug Zapper 2008-04-03 13:51:45 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:42:14 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.